<template>
  <input v-model="username" minlength="3" maxlength="16" v-text="Username" />
  <input v-model="password" type="password" v-text="Password" />
  <button @click="login()" v-text="Login" />
  <button @click="signup()" v-text="Sign Up" />
</template>
<script setup lang="ts">
import { user } from "../data/clients/user";
import { ref } from "vue";

let username = ref();
let password = ref();

function login() {
  user.auth(username, password, ({ err }) => err && alert(err));
}

function signup() {
  user.create(username, password, ({ err }) => {
    if (err) {
      alert(err);
    } else {
      login();
    }
  });
}
</script>
